Return the authenticated account and user profile.
GET
/v1/auth/me
const url = 'https://api.share2.us/v1/auth/me';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.share2.us/v1/auth/me \ --header 'Authorization: Bearer <token>'Firebase browser callers must include a valid X-Session-Id; otherwise the API returns 401 session_required.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Current principal.
Media typeapplication/json
object
account
required
object
id
required
string
type
required
string
plan_id
required
string
status
required
string
user
required
object
id
required
string
email
required
string format: email
display_name
string | null
Example
{ "account": { "type": "personal", "status": "active" }}default
Section titled “default”Standard error envelope.
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
request_id
required
string
Example
{ "error": { "code": "quota_exceeded" }}